Subject: Re: [PATCH v3 3/9] finalize_object_file(): implement collision check

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Sep 2024 08:14:27 -0700

Jeff King <[email-masked]> writes:

> Now thinking on it more, that view is probably dumb. fstat() is really
> cheap, and byte-wise comparisons are really expensive, so if it has even
> a tiny chance of helping, it might be worth doing.

If we see too many "yikes we need to check for collision" cases,
then yes, but I agree that it should be rare to matter.

> Though again, I'd hope this will trigger pretty rarely in practice,
> because it's probably a sign that we could have skipped work earlier
> (i.e., by realizing we were just going to generate an identical file,
> and not generated it in the first place).

Yes, exactly.